com.dlsc.flexgantt.model.dateline

## Enum MarkerType

- java.lang.Object
- - java.lang.Enum<MarkerType>
  - - com.dlsc.flexgantt.model.dateline.MarkerType

- All Implemented Interfaces:
    Serializable, Comparable<MarkerType>

      public enum MarkerType
      extends Enum<MarkerType>

  A list of marker types that can be shown in the dateline or the eventline.
  Since:
    1.1
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAYLIGHT_SAVINGS_TIME` Represents markers used for indicating where daylight savings time begins and where it ends.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MarkerType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MarkerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DAYLIGHT_SAVINGS_TIME

          public static final MarkerType DAYLIGHT_SAVINGS_TIME

      Represents markers used for indicating where daylight savings time begins and where it ends.
      Since:
        1.1

  - ### Method Detail

    - #### values

          public static MarkerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MarkerType c : MarkerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MarkerType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.